package com.xvji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xvji.domain.Component;
import java.util.List;

public interface ComponentService extends IService<Component> {
    /**
     * 新增组件
     */
    boolean addComponent(Component component);

    /**
     * 根据任务ID查询组件
     */
    List<Component> getComponentsByTaskId(Long taskId);
}